[vectordb](../README.md) / [Exports](../modules.md) / ConnectionOptions

# Interface: ConnectionOptions

## Table of contents

### Properties

- [apiKey](ConnectionOptions.md#apikey)
- [awsCredentials](ConnectionOptions.md#awscredentials)
- [awsRegion](ConnectionOptions.md#awsregion)
- [hostOverride](ConnectionOptions.md#hostoverride)
- [region](ConnectionOptions.md#region)
- [uri](ConnectionOptions.md#uri)

## Properties

### apiKey

• `Optional` **apiKey**: `string`

#### Defined in

[index.ts:49](https://github.com/lancedb/lancedb/blob/7856a94/node/src/index.ts#L49)

___

### awsCredentials

• `Optional` **awsCredentials**: [`AwsCredentials`](AwsCredentials.md)

#### Defined in

[index.ts:44](https://github.com/lancedb/lancedb/blob/7856a94/node/src/index.ts#L44)

___

### awsRegion

• `Optional` **awsRegion**: `string`

#### Defined in

[index.ts:46](https://github.com/lancedb/lancedb/blob/7856a94/node/src/index.ts#L46)

___

### hostOverride

• `Optional` **hostOverride**: `string`

#### Defined in

[index.ts:54](https://github.com/lancedb/lancedb/blob/7856a94/node/src/index.ts#L54)

___

### region

• `Optional` **region**: `string`

#### Defined in

[index.ts:51](https://github.com/lancedb/lancedb/blob/7856a94/node/src/index.ts#L51)

___

### uri

• **uri**: `string`

#### Defined in

[index.ts:42](https://github.com/lancedb/lancedb/blob/7856a94/node/src/index.ts#L42)
